#############################################################################
## Module: @(#)06maketempdbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix Temp Space
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env


echo "Creating four Temp Dbspaces"
touch $INFORMIXCHUNKS3/tmp1dbs
touch $INFORMIXCHUNKS4/tmp2dbs
touch $INFORMIXCHUNKS5/tmp3dbs
touch $INFORMIXCHUNKS6/tmp4dbs

chmod 660 $INFORMIXCHUNKS3/tmp1dbs
chmod 660 $INFORMIXCHUNKS4/tmp2dbs
chmod 660 $INFORMIXCHUNKS5/tmp3dbs
chmod 660 $INFORMIXCHUNKS6/tmp4dbs

ln -s $INFORMIXCHUNKS3/tmp1dbs $INFORMIXLINKS/tmp1dbs 
ln -s $INFORMIXCHUNKS4/tmp2dbs $INFORMIXLINKS/tmp2dbs 
ln -s $INFORMIXCHUNKS5/tmp3dbs $INFORMIXLINKS/tmp3dbs 
ln -s $INFORMIXCHUNKS6/tmp4dbs $INFORMIXLINKS/tmp4dbs 

onspaces -c -d tmp1dbs -t -p $INFORMIXLINKS/tmp1dbs -o 0 -s  2000000   
onspaces -c -d tmp2dbs -t -p $INFORMIXLINKS/tmp2dbs -o 0 -s  2000000 
onspaces -c -d tmp3dbs -t -p $INFORMIXLINKS/tmp3dbs -o 0 -s  2000000 
onspaces -c -d tmp4dbs -t -p $INFORMIXLINKS/tmp4dbs -o 0 -s  2000000 

onmode -wm DBSPACETEMP=tmp1dbs:tmp2dbs:tmp3dbs:tmp4dbs

