#############################################################################
## Module: @(#)09makeindexbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix dbspaces for database Indexes
#############################################################################
## Setup Environment
## Create 4 dbspaces for indexes

echo "Setting up Environment"
. ./informix.env

echo "Creating four Index Dbspaces"
## Create files
touch $INFORMIXCHUNKS3/idx1dbs
touch $INFORMIXCHUNKS4/idx2dbs
touch $INFORMIXCHUNKS5/idx3dbs
touch $INFORMIXCHUNKS6/idx4dbs

## Change Permissions
chmod 660 $INFORMIXCHUNKS3/idx1dbs
chmod 660 $INFORMIXCHUNKS4/idx2dbs
chmod 660 $INFORMIXCHUNKS5/idx3dbs
chmod 660 $INFORMIXCHUNKS6/idx4dbs
## Create links
ln -s  $INFORMIXCHUNKS3/idx1dbs	$INFORMIXLINKS/idx1dbs
ln -s  $INFORMIXCHUNKS4/idx2dbs	$INFORMIXLINKS/idx2dbs
ln -s  $INFORMIXCHUNKS5/idx3dbs	$INFORMIXLINKS/idx3dbs
ln -s  $INFORMIXCHUNKS6/idx4dbs	$INFORMIXLINKS/idx4dbs
## Add dbspace 16k
onspaces -c -d idx1dbs  -k 16 		-p 	$INFORMIXLINKS/idx1dbs -o 0 -s 2000000  
onspaces -c -d idx2dbs  -k 16 		-p 	$INFORMIXLINKS/idx2dbs -o 0 -s 2000000  
onspaces -c -d idx3dbs  -k 16 		-p 	$INFORMIXLINKS/idx3dbs -o 0 -s 2000000  
onspaces -c -d idx4dbs  -k 16 		-p 	$INFORMIXLINKS/idx4dbs -o 0 -s 2000000  
