#############################################################################
## Module: @(#)10extendablechunks.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##	Description:  Mark Chunks as Extendable
#############################################################################
## Setup Environment
echo "Setting up Environment"
. ./informix.env

echo "Making Dbspaces automatically expandable"

dbaccess sysmaster - <<EOF

-- Script to generate SQL to mark the chunks as extendable

output to extendablechunks.sql
without headings
select "execute function sysadmin:task ( 'modify chunk extendable', " || chknum || ");"
from syschunks
        -- Select the dbspaces to make expandabe - exclude the following
where dbsnum in
        ( select dbsnum from sysdbspaces where name not in
        ( "rootdbs", "plogdbs", "log1dbs", "log2dbs", "tmp1dbs", "tmp2dbs", "tmp3dbs", "tmp4dbs" )
);

EOF

dbaccess -e sysadmin extendablechunks.sql

rm extendablechunks.sql


