#############################################################################
## Module: @(#)setup.sh     2.0     Date: 01/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
#############################################################################
## Setup Environment

echo "Seting up Environment"
. ./informix.env

## Shutdown an Informix server in case it is still running...
onmode -ky

## Copy the onconfig to $INFORMIXDIR/etc
cp $ONCONFIG $INFORMIXDIR/etc/$ONCONFIG

## Create an sqlhost file and copy it to $INFORMIXDIR/etc
cp sqlhosts $INFORMIXDIR/etc/sqlhosts

## Delete any old chunks
rm $INFORMIXCHUNKS/*

mkdir $INFORMIXCHUNKS
chmod 770 $INFORMIXCHUNKS

## Create the database chunks
touch $INFORMIXCHUNKS/rootdbs
touch $INFORMIXCHUNKS/datadbs
touch $INFORMIXCHUNKS/logdbs
touch $INFORMIXCHUNKS/tmpdbs
chmod 660 $INFORMIXCHUNKS/rootdbs
chmod 660 $INFORMIXCHUNKS/datadbs
chmod 660 $INFORMIXCHUNKS/logdbs
chmod 660 $INFORMIXCHUNKS/tmpdbs

## initialize the Informix Server
oninit -iyvw

echo "Informix Server Initialized"
onstat -m

## Add dbspaces

onspaces -c -d logdbs -p $INFORMIXCHUNKS/logdbs -o 0 -s  2000000
onspaces -c -d datadbs -p $INFORMIXCHUNKS/datadbs -o 0 -s 4000000
onspaces -c -d tmpdbs -t -p $INFORMIXCHUNKS/tmpdbs -o 0 -s 2000000

## Add 10 logs to logdbs

onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000

## Move the current logs to one of the new logs
onmode -l
onmode -l
onmode -l
onmode -l
onmode -l
onmode -l

## Perform a checkpoint the current new log
onmode -c

## Drop the orginal 6 logs
onparams -d -l 1 -y
onparams -d -l 2 -y
onparams -d -l 3 -y
onparams -d -l 4 -y
onparams -d -l 5 -y
onparams -d -l 6 -y

## Add 30 more logs
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000
onparams -a -d logdbs -s 20000

## Do a backup
ontape -s
